GeoTessCPP: geotess::DataType Class Reference

GeoTessCPP 2.0.0 Software to facilitate storage and retrieval of 3D information about the Earth.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Friends Macros
Public Member Functions | Static Public Member Functions | Static Public Attributes
geotess::DataType Class Reference

`#include <DataType.h>`

Inheritance diagram for geotess::DataType:

List of all members.

## Public Member Functions
virtual | ~DataType ()
template<>
const DataType & | getDataType (double typ)
template<>
const DataType & | getDataType (float typ)
template<>
const DataType & | getDataType (LONG_INT typ)
template<>
const DataType & | getDataType (int typ)
template<>
const DataType & | getDataType (short typ)
template<>
const DataType & | getDataType (byte typ)
Public Member Functions inherited from geotess::EnumType
virtual | ~EnumType ()
string | toString () const
string | name () const
int | ordinal () const

## Static Public Member Functions
static const DataType * | valueOf (const string &s)
static DataType const *const *const | values ()
static int | size ()
template<typename T >
static const DataType & | getDataType (T typ)

## Static Public Attributes
static const DataType | DOUBLE
static const DataType | FLOAT
static const DataType | LONG
static const DataType | INT
static const DataType | SHORT
static const DataType | BYTE
static const DataType | NONE
static const DataType * | aArray []

## Additional Inherited Members
Protected Member Functions inherited from geotess::EnumType
| EnumType ()
| EnumType (const EnumType &et)
EnumType & | operator= (const EnumType &et)
| EnumType (const string &name, int ordinal)
Static Protected Member Functions inherited from geotess::EnumType
static const EnumType * | valueOf (const string &s, EnumType const *const *const array, int n)
Protected Attributes inherited from geotess::EnumType
const string | aName
const int | aOrdinal

## Detailed Description

Enumeration of supported DataType which includes DOUBLE, FLOAT, LONG, INT, SHORT and BYTE.

## Constructor & Destructor Documentation

virtual geotess::DataType::~DataType | ( |  | ) |
| inlinevirtual

Standard Destructor.

## Member Function Documentation

template<typename T >

static const DataType& geotess::DataType::getDataType | ( | T | typ | ) |
| inlinestatic

template<>

const DataType& geotess::DataType::getDataType | ( | double | typ | ) |
| inline

Template specialization for getDataType()

template<>

const DataType& geotess::DataType::getDataType | ( | float | typ | ) |
| inline

Template specialization for getDataType()

template<>

const DataType& geotess::DataType::getDataType | ( | LONG_INT | typ | ) |
| inline

Template specialization for getDataType()

template<>

const DataType& geotess::DataType::getDataType | ( | int | typ | ) |
| inline

Template specialization for getDataType()

template<>

const DataType& geotess::DataType::getDataType | ( | short | typ | ) |
| inline

Template specialization for getDataType()

template<>

const DataType& geotess::DataType::getDataType | ( | byte | typ | ) |
| inline

Template specialization for getDataType()

static int geotess::DataType::size | ( |  | ) |
| inlinestatic

Returns the total number of enums of this type.

static const DataType* geotess::DataType::valueOf | ( | const string & | s | ) |
| inlinestatic

        Assignment Operator.

Returns a pointer to the enum whose string matches the input string. If no match is found null is returned.

Parameters:

  s | The input string for which a match in array is returned (or null).

Returns:
  The match of s in the names of array or null if one was not found.

static DataType const* const* const geotess::DataType::values | ( |  | ) |
| inlinestatic

Returns the array of all enums for this type.

## Member Data Documentation

const DataType* geotess::DataType::aArray[]
| static

The array containing all enums declared above.

const DataType geotess::DataType::BYTE
| static

const DataType geotess::DataType::DOUBLE
| static

The actual enums for this type.

const DataType geotess::DataType::FLOAT
| static

const DataType geotess::DataType::INT
| static

const DataType geotess::DataType::LONG
| static

const DataType geotess::DataType::NONE
| static

const DataType geotess::DataType::SHORT
| static

The documentation for this class was generated from the following file:

- include/DataType.h